org.apache.hadoop.yarn.api.records.impl.pb

## Class NodeToAttributeValuePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.NodeToAttributeValue
  - - org.apache.hadoop.yarn.api.records.impl.pb.NodeToAttributeValuePBImpl

-     public class NodeToAttributeValuePBImpl
      extends org.apache.hadoop.yarn.api.records.NodeToAttributeValue

  PB Implementation for NodeToAttributeValue.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeToAttributeValuePBImpl()`
    `NodeToAttributeValuePBImpl(org.apache.hadoop.yarn.proto.YarnProtos.NodeToAttributeValueProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getAttributeValue()`
    `String` | `getHostname()`
    `org.apache.hadoop.yarn.proto.YarnProtos.NodeToAttributeValueProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setAttributeValue(String attributeValue)`
    `void` | `setHostname(String hostname)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.NodeToAttributeValue

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeToAttributeValuePBImpl

          public NodeToAttributeValuePBImpl()

    - #### NodeToAttributeValuePBImpl

          public NodeToAttributeValuePBImpl(org.apache.hadoop.yarn.proto.YarnProtos.NodeToAttributeValueProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.NodeToAttributeValueProto getProto()

    - #### getAttributeValue

          public String getAttributeValue()

      Specified by:
        `getAttributeValue` in class `org.apache.hadoop.yarn.api.records.NodeToAttributeValue`

    - #### setAttributeValue

          public void setAttributeValue(String attributeValue)

      Specified by:
        `setAttributeValue` in class `org.apache.hadoop.yarn.api.records.NodeToAttributeValue`

    - #### getHostname

          public String getHostname()

      Specified by:
        `getHostname` in class `org.apache.hadoop.yarn.api.records.NodeToAttributeValue`

    - #### setHostname

          public void setHostname(String hostname)

      Specified by:
        `setHostname` in class `org.apache.hadoop.yarn.api.records.NodeToAttributeValue`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.